package com.citygis.web.service;

import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.Kafka;

import java.util.List;
import java.util.Map;
import java.util.concurrent.ExecutionException;

public interface KafkaConsumerServer {

    AjaxResult getAllGroupId() throws ExecutionException, InterruptedException;

    AjaxResult getConsumerGroupDetails(String groupId) throws ExecutionException, InterruptedException;

    AjaxResult resetOffeSet(Kafka kafka) throws ExecutionException, InterruptedException;

    Map<String,Integer> getTopicAndPartition() throws Exception;

    Map<String,Integer> getTopicAndPartitionByIp(String bootStrapServer) throws Exception;

    void kafkaListenerConsumer(String groupId, String topic);

    AjaxResult deleteConsumerGroups(List<String> groupId) throws ExecutionException, InterruptedException;

    AjaxResult getAllLagMessage() ;

}
